In This Issue

Past Newsletters

Local and Other News



Browser Update Required by July 21 for Continued Access to Employer eServices

July 11, 2017

Effective July 21, UnitedHealthcare’s Employer eServices® online management system will support the following browser versions or higher:

  • Internet Explorer® (IE) 11
  • Firefox 27
  • Chrome 30 

Newer browsers offer increased security and protection. Unsupported browser versions could result in technical difficulties. Users should upgrade their browsers to either IE 11, Firefox 27, Chrome 30 versions or higher prior to July 21.

For more information, please contact your UnitedHealthcare representative.